Commit f1ec5818 authored by Daniel Scheffler's avatar Daniel Scheffler

Updated minimal version of py_tools_ds (fixes PyProj DeprecationWarning). Updated version info.

Signed-off-by: Daniel Scheffler's avatarDaniel Scheffler <danschef@gfz-potsdam.de>
parent 50825aa4
Pipeline #8972 passed with stages
in 5 minutes and 4 seconds
......@@ -12,7 +12,7 @@ test_arosics:
stage: test
script:
- source /root/miniconda3/bin/activate ci_env
- pip install "py_tools_ds>=0.14.27" # FIXME remove as soon as docker runner has been updated
- pip install "py_tools_ds>=0.14.28" # FIXME remove as soon as docker runner has been updated
# run tests
- make nosetests
......
......@@ -22,5 +22,5 @@
# with this program. If not, see <http://www.gnu.org/licenses/>.
__version__ = '0.9.16'
__versionalias__ = '2020-04-09_02'
__version__ = '0.9.17'
__versionalias__ = '2020-05-19_01'
......@@ -40,7 +40,7 @@ with open("arosics/version.py") as version_file:
exec(version_file.read(), version)
requirements = ['numpy', 'gdal', 'shapely', 'scikit-image', 'matplotlib', 'geopandas', 'pandas',
'geoarray>=0.8.17', 'py_tools_ds>=0.14.27', 'plotly', 'cmocean', 'six', 'folium>=0.6.0', 'geojson'
'geoarray>=0.8.17', 'py_tools_ds>=0.14.28', 'plotly', 'cmocean', 'six', 'folium>=0.6.0', 'geojson'
# 'pykrige' # conda install --yes -c conda-forge pykrige
# 'pyfftw', # conda install --yes -c conda-forge pyfftw=0.10.4 ; \
# 'basemap', # conda install --yes -c conda-forge basemap; \
......
......@@ -46,4 +46,4 @@ dependencies:
- rednose
- plotly
- geoarray>=0.8.17
- py_tools_ds>=0.14.27
- py_tools_ds>=0.14.28
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment